Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:29 2009

## Asterisk developer's documentation

# ast_format Struct Reference

Collaboration diagram for ast_format:

[legend]

## Data Fields

void(* | close )(struct ast_filestream *)
char | exts [80]
int | format
char *(* | getcomment )(struct ast_filestream *)
char | name [80]
struct ast_format * | next
struct ast_filestream *(* | open )(FILE *f)
struct ast_frame *(* | read )(struct ast_filestream *, int *whennext)
struct ast_filestream *(* | rewrite )(FILE *f, const char *comment)
int(* | seek )(struct ast_filestream *, long offset, int whence)
long(* | tell )(struct ast_filestream *fs)
int(* | trunc )(struct ast_filestream *fs)
int(* | write )(struct ast_filestream *, struct ast_frame *)

## Detailed Description

Definition at line 53 of file file.c.

## Field Documentation

void(* close)(struct ast_filestream *)

Referenced by ast_closestream(), and ast_format_register().

char exts[80]

Definition at line 58 of file file.c.

Referenced by ast_filehelper(), ast_format_register(), ast_readfile(), ast_writefile(), and show_file_formats().

int format

Definition at line 60 of file file.c.

Referenced by ast_closestream(), ast_filehelper(), ast_format_register(), ast_playstream(), ast_writestream(), and show_file_formats().

char*(* getcomment)(struct ast_filestream *)

Referenced by ast_format_register().

char name[80]

Definition at line 55 of file file.c.

Referenced by ast_format_register(), ast_format_unregister(), ast_writestream(), and show_file_formats().

struct ast_format* next`[read]`

Definition at line 81 of file file.c.

Referenced by ast_filehelper(), ast_format_register(), ast_format_unregister(), ast_readfile(), ast_writefile(), and show_file_formats().

struct ast_filestream*(* open)(FILE *f)`[read]`

Referenced by ast_filehelper(), ast_format_register(), and ast_readfile().

struct ast_frame*(* read)(struct ast_filestream *, int *whennext)`[read]`

Referenced by ast_format_register(), ast_readaudio_callback(), ast_readframe(), and ast_readvideo_callback().

struct ast_filestream*(* rewrite)(FILE *f, const char *comment)`[read]`

Referenced by ast_format_register(), and ast_writefile().

int(* seek)(struct ast_filestream *, long offset, int whence)

Referenced by ast_format_register(), ast_seekstream(), and ast_writefile().

long(* tell)(struct ast_filestream *fs)

Referenced by ast_format_register(), and ast_tellstream().

int(* trunc)(struct ast_filestream *fs)

Referenced by ast_format_register(), and ast_truncstream().

int(* write)(struct ast_filestream *, struct ast_frame *)

Referenced by ast_format_register(), and ast_writestream().

The documentation for this struct was generated from the following file:

- file.c